package com.yijia.station.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 订单支付对象 pay_order
 *
 * @author yijia
 * @date 2020-12-10
 */
public class PayOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 加油枪号 */
    @Excel(name = "加油枪号")
    private String oilGun;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 用户id(消费者) */
    @Excel(name = "用户id(消费者)")
    private Long consumerId;

    /** 消费者 */
    @Excel(name = "消费者")
    private String consumer;

    /** 金额 */
    @Excel(name = "金额")
    private String amt;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 状态(0未支付，1，已支付) */
    @Excel(name = "状态(0未支付，1，已支付)")
    private String status;

    /** 加油升数 */
    @Excel(name = "加油升数")
    private String orderLiters;

    /** 支付类型：随行付：sxf */
    @Excel(name = "支付类型：随行付：sxf")
    private String payType;

    /** 支付方式：02公众号，03小程序 */
    @Excel(name = "支付方式：02公众号，03小程序")
    private String payWay;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payDate;

    /** 加油员 */
    @Excel(name = "加油员")
    private String oilPersonnel;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdDate;

    /** 订单类型（1.柴油，2.汽油，积分：3.现金+积分4.现金，5.积分） */
    @Excel(name = "订单类型", readConverterExp = "1=.柴油，2.汽油，积分：3.现金+积分4.现金，5.积分")
    private String orderType;

    public void setOrderId(Long orderId)
    {
        this.orderId = orderId;
    }

    public Long getOrderId()
    {
        return orderId;
    }
    public void setOrderNo(String orderNo)
    {
        this.orderNo = orderNo;
    }

    public String getOrderNo()
    {
        return orderNo;
    }
    public void setOilGun(String oilGun)
    {
        this.oilGun = oilGun;
    }

    public String getOilGun()
    {
        return oilGun;
    }
    public void setOilName(String oilName)
    {
        this.oilName = oilName;
    }

    public String getOilName()
    {
        return oilName;
    }
    public void setConsumerId(Long consumerId)
    {
        this.consumerId = consumerId;
    }

    public Long getConsumerId()
    {
        return consumerId;
    }
    public void setConsumer(String consumer)
    {
        this.consumer = consumer;
    }

    public String getConsumer()
    {
        return consumer;
    }
    public void setAmt(String amt)
    {
        this.amt = amt;
    }

    public String getAmt()
    {
        return amt;
    }
    public void setStationId(Long stationId)
    {
        this.stationId = stationId;
    }

    public Long getStationId()
    {
        return stationId;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setOrderLiters(String orderLiters)
    {
        this.orderLiters = orderLiters;
    }

    public String getOrderLiters()
    {
        return orderLiters;
    }
    public void setPayType(String payType)
    {
        this.payType = payType;
    }

    public String getPayType()
    {
        return payType;
    }
    public void setPayWay(String payWay)
    {
        this.payWay = payWay;
    }

    public String getPayWay()
    {
        return payWay;
    }
    public void setPayDate(Date payDate)
    {
        this.payDate = payDate;
    }

    public Date getPayDate()
    {
        return payDate;
    }
    public void setOilPersonnel(String oilPersonnel)
    {
        this.oilPersonnel = oilPersonnel;
    }

    public String getOilPersonnel()
    {
        return oilPersonnel;
    }
    public void setCreatedDate(Date createdDate)
    {
        this.createdDate = createdDate;
    }

    public Date getCreatedDate()
    {
        return createdDate;
    }
    public void setOrderType(String orderType)
    {
        this.orderType = orderType;
    }

    public String getOrderType()
    {
        return orderType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("orderNo", getOrderNo())
            .append("oilGun", getOilGun())
            .append("oilName", getOilName())
            .append("consumerId", getConsumerId())
            .append("consumer", getConsumer())
            .append("amt", getAmt())
            .append("stationId", getStationId())
            .append("status", getStatus())
            .append("orderLiters", getOrderLiters())
            .append("payType", getPayType())
            .append("payWay", getPayWay())
            .append("payDate", getPayDate())
            .append("oilPersonnel", getOilPersonnel())
            .append("createdDate", getCreatedDate())
            .append("orderType", getOrderType())
            .toString();
    }
}
